# Hooks

- [Actions](#actions)
- [Filters](#filters)

## Actions

### `gform_ideal_fulfillment`

*Execute payment fulfillment action (PayPal uses `gform_paypal_fulfillment`).*

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$entry` | `object` | The entry used to generate the (iDEAL) payment.
`$feed` | `object` | The feed configuration data used to generate the payment.

**Changelog**

Version | Description
------- | -----------
`1.0.0` | 

Source: [src/Extension.php](../src/Extension.php), [line 1062](../src/Extension.php#L1062-L1072)

## Filters

### `pronamic_pay_gravityforms_delay_actions`

*Filters the delay actions to display on the payment feed settings page and to process.*

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$actions` | `array` | {<br><br>    Delay action.<br><br>    @var null\|\GFAddon $addon                       Optional reference to a Gravity Forms add-on object.<br>    @var bool          $active                      Boolean flag to indicate the delay action can be enabled (add-on active).<br>    @var string        $meta_key                    Post meta key used to store meta value if the delay action is enabled.<br>    @var bool          $delayed_payment_integration Boolean flag to indicate the delay action is defined by a delayed payment integration.<br>    @var string        $label                       The label to show on the payment feed settings page.<br>    @var callable      $delay_callback              Callback function which can be used to remove actions/filters to delay actions.<br>    @var callable      $process_callback            Callback function to process the delay action.<br><br>}

**Changelog**

Version | Description
------- | -----------
`2.4.0` | 

Source: [src/Extension.php](../src/Extension.php), [line 1479](../src/Extension.php#L1479-L1501)


<p align="center"><a href="https://github.com/pronamic/wp-documentor"><img src="https://cdn.jsdelivr.net/gh/pronamic/wp-documentor@main/logos/pronamic-wp-documentor.svgo-min.svg" alt="Pronamic WordPress Documentor" width="32" height="32"></a><br><em>Generated by <a href="https://github.com/pronamic/wp-documentor">Pronamic WordPress Documentor</a> <code>1.1.0</code></em><p>

