# Hooks

- [Actions](#actions)
- [Filters](#filters)

## Actions

### `pronamic_pay_webhook_log_payment`

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$payment` |  | 

Source: [src/WebhookController.php](../src/WebhookController.php), [line 115](../src/WebhookController.php#L115-L115)

## Filters

### `pronamic_pay_mollie_payment_description`

*Filters the Mollie payment description.*

The maximum length of the description field differs per payment
method, with the absolute maximum being 255 characters.

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$description` | `string` | Description.
`$payment` | `\Pronamic\WordPress\Pay\Payments\Payment` | Payment.

**Changelog**

Version | Description
------- | -----------
`3.0.1` | 

Source: [src/Gateway.php](../src/Gateway.php), [line 276](../src/Gateway.php#L276-L287)

### `pronamic_pay_mollie_payment_metadata`

*Filters the Mollie metadata.*

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$metadata` | `mixed` | Metadata.
`$payment` | `\Pronamic\WordPress\Pay\Payments\Payment` | Payment.

**Changelog**

Version | Description
------- | -----------
`2.2.0` | 

Source: [src/Gateway.php](../src/Gateway.php), [line 420](../src/Gateway.php#L420-L428)

### `pronamic_pay_mollie_payment_billing_email`

*Filters the Mollie payment billing email used for bank transfer payment instructions.*

**Arguments**

Argument | Type | Description
-------- | ---- | -----------
`$billing_email` | `string\|null` | Billing email.
`$payment` | `\Pronamic\WordPress\Pay\Payments\Payment` | Payment.

**Changelog**

Version | Description
------- | -----------
`2.2.0` | 

Source: [src/Gateway.php](../src/Gateway.php), [line 440](../src/Gateway.php#L440-L448)


<p align="center"><a href="https://github.com/pronamic/wp-documentor"><img src="https://cdn.jsdelivr.net/gh/pronamic/wp-documentor@main/logos/pronamic-wp-documentor.svgo-min.svg" alt="Pronamic WordPress Documentor" width="32" height="32"></a><br><em>Generated by <a href="https://github.com/pronamic/wp-documentor">Pronamic WordPress Documentor</a> <code>1.1.1</code></em><p>

